Skip to navigation

Get bulk-create-and-register-proteins-and-components task status

Beta

Get the current status of a bulk-create-and-register-proteins-and-components task. When a job reaches a COMPLETED status, you can call the GET /tasks/bulk-create-and-register-proteins-and-components/{task_id}/results endpoint to fetch task results and errors.

Task IDs for this endpoint remain queryable for 14 days after the job is created. After that TTL expires, this endpoint returns 404. Retrieve any status and results you need before the task ID expires.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_idstringRequired

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Response

Job status details
resultobject
statusenum

The current status of the task.

  • NOT_STARTED: Task has been created but not yet started.
  • IN_PROGRESS: Task is currently running.
  • COMPLETED: Task finished. Check ‘result.hasErrors’ to determine if there were validation errors.
  • FAILED: Task encountered an internal error (system failure). This is distinct from user-facing validation errors, which result in a COMPLETED status with hasErrors=true.
Allowed values:
taskIdstring
messagestring or nullOptional

A human-readable message describing why the task failed. Present only when status is FAILED.

Errors

400
Bulk Create and Register Proteins and Components Task Get Request Bad Request Error
403
Bulk Create and Register Proteins and Components Task Get Request Forbidden Error
404
Bulk Create and Register Proteins and Components Task Get Request Not Found Error
429
Bulk Create and Register Proteins and Components Task Get Request Too Many Requests Error
500
Bulk Create and Register Proteins and Components Task Get Request Internal Server Error